Description

We need to change several flags in GLCtrl.upp file to make it possible to compile. The compilation process is broken, because GTK

backend is now default and we need to adapt to this situation.

History

#1 - 11/02/2014 05:53 PM - Miroslav Fidler

Not quite sure the fix is complete: You seem to be adding GLResize, but I am missing the implementation in the .diff...

#2 - 11/02/2014 09:26 PM - Zbigniew Rebacz

It is common function. Implementation can be found in GLCtrl.cpp.

#3 - 11/02/2014 10:05 PM - Zbigniew Rebacz

But, GLCtrl for gtk shouldn't be separate class as it is now, beacuse some method is missing like GLResize. Moreover we are losing compatibility with

some OpenGL code that cannot be compiled on gtk backend. (Lack of virtual methods).

This changes what I was writing should be contain i  #917 thread.

P.S.

This is only compilation patch for OpenGL example for GTK backend.

#4 - 11/23/2014 08:58 PM - Miroslav Fidler

- Status changed from Patch ready to Approved

Files

GLCtrlCompilationFix.diff 792 Bytes 11/01/2014 Zbigniew Rebacz
